Bug 1284143 - [abrt] git-svn: _wrap_svn_txdelta_apply(): perl killed by SIGSEGV
[abrt] git-svn: _wrap_svn_txdelta_apply(): perl killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6dee400eda72b1a91cb9d93a50f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 20:41 EST by Andrew Cook
Modified: 2016-12-20 11:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.88 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: core_backtrace (8.63 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: dso_list (6.55 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: environ (3.15 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: maps (30.49 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: mountinfo (3.84 KB, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: open_fds (870 bytes, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-20 20:42 EST, Andrew Cook
no flags Details

  None (edit)
Description Andrew Cook 2015-11-20 20:41:54 EST
Description of problem:
`git svn fetch` of a local clone of the reactos repo

Repository config:
[core]
	repositoryformatversion = 0
	filemode = true
	bare = false
	logallrefupdates = true
[svn-remote "svn"]
	useSvnsyncProps = 1
	url = file:///home/andrew/Software/reactos_svn
	fetch = trunk/reactos:refs/remotes/origin/trunk

Version-Release number of selected component:
git-svn-2.5.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/libexec/git-core/git-svn fetch
crash_function: _wrap_svn_txdelta_apply
executable:     /usr/bin/perl
global_pid:     4551
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _wrap_svn_txdelta_apply at svn_delta.c:3866
 #1 Perl_pp_entersub at pp_hot.c:3270
 #2 Perl_runops_standard at run.c:41
 #3 S_docatch at pp_ctl.c:3237
 #4 Perl_runops_standard at run.c:41
 #5 Perl_call_sv at perl.c:2740
 #6 Perl_call_method at perl.c:2660
 #7 svn_swig_pl_callback_thunk at subversion/bindings/swig/perl/libsvn_swig_perl/swigutil_pl.c:630
 #8 thunk_apply_textdelta at subversion/bindings/swig/perl/libsvn_swig_perl/swigutil_pl.c:878
 #9 delta_files at subversion/libsvn_repos/reporter.c:704

Potential duplicate: bug 1212866
Comment 1 Andrew Cook 2015-11-20 20:42:01 EST
Created attachment 1097380 [details]
File: backtrace
Comment 2 Andrew Cook 2015-11-20 20:42:03 EST
Created attachment 1097381 [details]
File: cgroup
Comment 3 Andrew Cook 2015-11-20 20:42:05 EST
Created attachment 1097382 [details]
File: core_backtrace
Comment 4 Andrew Cook 2015-11-20 20:42:07 EST
Created attachment 1097383 [details]
File: dso_list
Comment 5 Andrew Cook 2015-11-20 20:42:09 EST
Created attachment 1097384 [details]
File: environ
Comment 6 Andrew Cook 2015-11-20 20:42:11 EST
Created attachment 1097385 [details]
File: exploitable
Comment 7 Andrew Cook 2015-11-20 20:42:12 EST
Created attachment 1097386 [details]
File: limits
Comment 8 Andrew Cook 2015-11-20 20:42:15 EST
Created attachment 1097387 [details]
File: maps
Comment 9 Andrew Cook 2015-11-20 20:42:17 EST
Created attachment 1097388 [details]
File: mountinfo
Comment 10 Andrew Cook 2015-11-20 20:42:19 EST
Created attachment 1097389 [details]
File: namespaces
Comment 11 Andrew Cook 2015-11-20 20:42:21 EST
Created attachment 1097390 [details]
File: open_fds
Comment 12 Andrew Cook 2015-11-20 20:42:22 EST
Created attachment 1097391 [details]
File: proc_pid_status
Comment 13 Fedora Admin XMLRPC Client 2016-03-16 14:24:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2016-11-24 08:37:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:09:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.